// mainfrm.h : interface of the CMainFrame class
//
/////////////////////////////////////////////////////////////////////////////

#ifndef 	_MAINFRM_H
#define 	_MAINFRM_H
            
#include "cviewvw.h"
#include "acrobat.h"

class CMainFrame : public CMDIFrameWnd
{
	DECLARE_DYNAMIC(CMainFrame)
public:
	CMainFrame();

// Attributes
public:

// Operations
public:

// Implementation
public:
	virtual ~CMainFrame();
#ifdef _DEBUG
	virtual void AssertValid() const;
	virtual void Dump(CDumpContext& dc) const;
#endif
	CCviewerView 	*GetLastView() 	{ return(LastView); }
	CAcroApp		*GetAcroApp()	{ return(MainAcroApp); }

	void			SetLastView(CCviewerView *LV) { LastView = LV; }

protected:  // control bar embedded members
	CStatusBar  m_wndStatusBar;
	CToolBar    m_wndToolBar;
	CAcroApp	*MainAcroApp;	 // AcroApp kept open as long as cviewer
								 // running to prevent having to be opened again
	CCviewerView *LastView;

// Generated message map functions
protected:
	//{{AFX_MSG(CMainFrame)
	afx_msg int OnCreate(LPCREATESTRUCT lpCreateStruct);
	afx_msg BOOL OnQueryEndSession();
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

#endif
/////////////////////////////////////////////////////////////////////////////
